# ***************************************************************************
#  Copyright 2019 VMware, Inc.  All rights reserved.
#  -- VMware Confidential
# ***************************************************************************

import interface
from vmware.nsx.rpc import rpc_cli_pb2

# An interface class for pulling rpc related information. CLI commands associated with this CLI are
# generated straight from protobuf messages, so all we have to do is initialize
# the interface subclass with the correct module and stub.
class RpcInfo(interface.Interface):

  def __init__(self):
    interface.Interface.__init__(self, rpc_cli_pb2, rpc_cli_pb2.RpcCliService_Stub)